Subject: bug#13127: [PATCH] cut: use only one data strucutre

From: Cojocaru Alexandru <[email-masked]>
Date: Mon, 6 May 2013 20:54:01 +0200

On Mon, 29 Apr 2013 00:59:20 +0100
Pádraig Brady <[email-masked]> wrote:

> So I reinstated the bit vector which was a little tricky
> to do while maintaining performance, but it works very well.
I think it works because we are avoiding a memory access
inside `next_item' this way.

With this patch I try to keep the CPU benefits for `--output-d'
and when large ranges are specified, even without the bitarray.

Because of the sentinel now the max line len supported will be
`(size_t)-1 - 1' and no more `(size_t)-1'. Is this an issue?

PS: This patch also fix a little bug inside `set_fields'.

Best regards,
Cojocaru Alexandru